Qedeq2Latex (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.latex.Qedeq2Latex class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.latex
Class Qedeq2Latex

    java.lang.Object
      com.meyling.principia.latex.Qedeq2Latex

public final class Qedeq2Latex
extends Object

This class provides static methods for converting module files into LaTex files.

Version:
  $Revision: 1.8 $
Author:
  Michael Meyling

Constructor Summary
`Qedeq2Latex()`

Method Summary
`static String` | `convert(String qedeq)` Takes the given file names (without ".tex") and converts them into html.
`static void` | `main(String[] argument)` Takes the given file names (without ".tex") and converts them into html.
`static void` | `readAll(TextInput input, Output output)`
`static com.meyling.principia.latex.Qedeq2Latex.Function` | `readArgument(TextInput input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Qedeq2Latex

    public Qedeq2Latex()

Method Detail

### convert

    public static final String convert(String qedeq)

  Takes the given file names (without ".tex") and converts them into html. The resulting files are at the same position but have the ending ".html".

### main

    public static final void main(String[] argument)

  Takes the given file names (without ".tex") and converts them into html. The resulting files are at the same position but have the ending ".html".

  Parameters:
    `argument` - list of LaTex files to convert

### readAll

    public static final void readAll(TextInput input,
                                     Output output)

### readArgument

    public static final com.meyling.principia.latex.Qedeq2Latex.Function readArgument(TextInput input)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.